#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	Abstraction library for Reiser4 filesystem
Summary(pl.UTF-8):	Bibloteka abstrakcji dla systemu plików Reiser4
Name:		libaal
Version:	1.0.7
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://downloads.sourceforge.net/reiser4/%{name}-%{version}.tar.gz
# Source0-md5:	144b5ef9f13cb43cb053cb09aef63390
Patch0:		%{name}-opt.patch
URL:		http://sourceforge.net/projects/reiser4/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libaal - abstraction library needed for Reiser4 filesystem utilities.

%description -l pl.UTF-8
libaal to biblioteka abstrakcji potrzebna do narzędzi dla systemu
plików Reiser4.

%package devel
Summary:	Header files for libaal library
Summary(pl.UTF-8):	Pliki nagłowkowe biblioteki libaal
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libaal library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libaal.

%package static
Summary:	Static version of libaal
Summary(pl.UTF-8):	Wersja statyczna libaal
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libaal library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libaal.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{!?debug:--disable-debug} \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
# don't run ldconfig on install
> run-ldconfig
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_lib}
%{__mv} $RPM_BUILD_ROOT%{_libdir}/libaal-*.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libaal-1.0.so.*.*) $RPM_BUILD_ROOT%{_libdir}/libaal.so
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libaal-minimal.so.*.*) $RPM_BUILD_ROOT%{_libdir}/libaal-minimal.so

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains information other than GPL text
%doc AUTHORS BUGS COPYING CREDITS ChangeLog README THANKS TODO
%attr(755,root,root) /%{_lib}/libaal-1.0.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libaal-1.0.so.7
%attr(755,root,root) /%{_lib}/libaal-minimal.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libaal-minimal.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaal.so
%attr(755,root,root) %{_libdir}/libaal-minimal.so
%{_libdir}/libaal.la
%{_libdir}/libaal-minimal.la
%{_includedir}/aal
%{_aclocaldir}/libaal.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libaal.a
%{_libdir}/libaal-minimal.a
%endif
%changelog
* Sat Mar 24 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libaal.git;a=log;h=master

* Wed Mar 14 2018 Marcin Krol <hawk@tld-linux.org> 3b5e205
- updated to 1.0.7

* Sun Nov 01 2015 Jakub Bogusz <qboosh@pld-linux.org> cf26260
- release 2

* Wed Oct 01 2014 Jakub Bogusz <qboosh@pld-linux.org> dad1516
- description cosmetics, updated URL

* Sat Sep 20 2014 Marcin Krol <hawk@tld-linux.org> 8cb4a9d
- updated to 1.0.6

* Thu May 08 2014 Elan Ruusamäe <glen@delfi.ee> f4bafe4
- package ghost soname symlinks, cosmetics & fixes

* Sat Mar 17 2007 Marcin Banasiak <marcin.banasiak@gmail.com> b0bc95f
- release 3 to acquire P:/R: libtool(*.la)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 15c2bdd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c4cf5ed
- converted to UTF-8

* Mon Oct 30 2006 Jakub Bogusz <qboosh@pld-linux.org> 9df16b3
- devel files back to /usr; release 2

* Mon Jul 17 2006 piti <piti@pld-linux.org> 3ff93c2
- libs should be in /lib instead of /usr/lib. Fixed.

* Mon Aug 15 2005 Jakub Bogusz <qboosh@pld-linux.org> ca98135
- updated to 1.0.5

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> b9538e1
- added header "Conditional build:"

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> fd564cd
- s/bcond_without static/bcond_without static_libs/

* Tue Jun 14 2005 witekfl <witekfl@pld-linux.org> 9d9b135
- renamed static_libs -> static

* Tue Jun 14 2005 witekfl <witekfl@pld-linux.org> 25ec81d
- added bcond_without static_libs

* Sun Feb 20 2005 Adam Gołębiowski <adamg@pld-linux.org> d2c68b2
- applied upstream

* Sun Feb 20 2005 Adam Gołębiowski <adamg@pld-linux.org> 8156b11
- updated to 1.0.4
- dropped -am18.patch (applied upstream)

* Fri Dec 10 2004 Adam Gołębiowski <adamg@pld-linux.org> 61860ab
- updated to 1.0.3

* Sun Oct 24 2004 Jakub Bogusz <qboosh@pld-linux.org> 8240f20
- opt patch is back (updated)

* Sun Oct 24 2004 Jakub Bogusz <qboosh@pld-linux.org> e1fe324
- updated for 1.0.2

